
QGIS Application - Feature request #1065

Symbol Composer plugin

2008-05-06 04:26 AM - pls -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11125

Description

Town planners, naturalists, geologists and other professionals have their own symbols, and often they build they using autocad. A simple

SVG editor could be integrated in QGIS by the means of a plugin

History

#1 - 2008-07-09 07:40 AM - Tim Sutton

Nice idea though I worry we would be reinventing the wheel and committing ourselves to a lot of code maintenance - when there are already free projects

like inkscape out there dedicated to SVG creation. Lets keep this on the backburner for now in case someone feels inspired to create it.

Regards

Tim

#2 - 2008-07-09 08:08 AM - pls -

Replying to [comment:1 timlinux]:

Nice idea though I worry we would be reinventing the wheel and committing ourselves to a lot of code maintenance - when there are already free

projects like inkscape out there dedicated to SVG creation. Lets keep this on the backburner for now in case someone feels inspired to create it.

Regards

Tim

I'm completely with you, it's not something that's really needed...

#3 - 2009-11-30 01:36 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Users can now add their own svg symbols. Options -> Rendering & svg -> svg paths
